package kr.co.vividnext.sodalive.admin.calculate

import com.querydsl.core.annotations.QueryProjection
import kr.co.vividnext.sodalive.content.order.OrderType

data class GetCalculateContentQueryData @QueryProjection constructor(
    // 등록 크리에이터 닉네임
    val nickname: String,
    // 콘텐츠 제목
    val title: String,
    // 콘텐츠 등록 날짜
    val registrationDate: String,
    // 콘텐츠 판매 날짜
    val saleDate: String,
    // 대여/소장 구분
    val orderType: OrderType,
    // 판매 금액(캔)
    val orderPrice: Int,
    // 인원
    val numberOfPeople: Long,
    // 합계
    val totalCan: Int
)
