package kr.co.vividnext.sodalive.content

import com.querydsl.core.annotations.QueryProjection

data class GetAudioContentListResponse(
    val totalCount: Int,
    val items: List<GetAudioContentListItem>
)

data class GetAudioContentListItem @QueryProjection constructor(
    val contentId: Long,
    val coverImageUrl: String,
    val title: String,
    val price: Int,
    val themeStr: String,
    val duration: String?,
    var likeCount: Int = 0,
    var commentCount: Int = 0,
    val isPin: Boolean,
    val isAdult: Boolean,
    val isScheduledToOpen: Boolean
)
