package kr.co.vividnext.sodalive.explorer.profile.creatorCommunity

import com.querydsl.core.annotations.QueryProjection
import kr.co.vividnext.sodalive.explorer.profile.creatorCommunity.comment.GetCommunityPostCommentListItem

data class GetCommunityPostListResponse @QueryProjection constructor(
    val postId: Long,
    val creatorId: Long,
    val creatorNickname: String,
    val creatorProfileUrl: String,
    val imageUrl: String?,
    val content: String,
    val date: String,
    val isCommentAvailable: Boolean,
    val isAdult: Boolean,
    val isLike: Boolean,
    val likeCount: Int,
    val commentCount: Int,
    val firstComment: GetCommunityPostCommentListItem?
)
