package kr.co.vividnext.sodalive.admin.live.signature

import com.querydsl.core.annotations.QueryProjection

data class GetSignatureCanListResponse(
    val totalCount: Int,
    val items: List<GetSignatureCanListItem>
)

data class GetSignatureCanListItem @QueryProjection constructor(
    val id: Long,
    val can: Int,
    val image: String,
    val isAdult: Boolean,
    val nickname: String
)
