package kr.co.vividnext.sodalive.creator.admin.signature

import com.querydsl.core.annotations.QueryProjection

data class GetSignatureListResponse(
    val totalCount: Int,
    val items: List<GetSignatureListItem>
)

data class GetSignatureListItem @QueryProjection constructor(
    val id: Long,
    val can: Int,
    val image: String,
    val isAdult: Boolean,
    val nickname: String
)
