package kr.co.vividnext.sodalive.explorer.profile.creatorCommunity

import kr.co.vividnext.sodalive.common.BaseEntity
import kr.co.vividnext.sodalive.member.Member
import javax.persistence.Column
import javax.persistence.Entity
import javax.persistence.FetchType
import javax.persistence.JoinColumn
import javax.persistence.ManyToOne

@Entity
data class CreatorCommunity(
    @Column(columnDefinition = "TEXT", nullable = false)
    var content: String,
    var isCommentAvailable: Boolean,
    var isAdult: Boolean,
    @Column(nullable = true)
    var imagePath: String? = null,
    var isActive: Boolean = true
) : BaseEntity() {
    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "member_id", nullable = false)
    var member: Member? = null
}
