package kr.co.vividnext.sodalive.member.auth

import com.fasterxml.jackson.annotation.JsonProperty

data class AuthVerifyRequest(
    @JsonProperty("receipt_id")
    val receiptId: String,
    @JsonProperty("version")
    val version: String?
)

data class AuthVerifyCertificate(
    val name: String,
    val birth: String,
    val unique: String,
    val di: String,
    val gender: Int
)

data class AuthCertificateResult(
    @JsonProperty("receipt_id")
    val receiptId: String,
    @JsonProperty("status")
    val status: Int,
    @JsonProperty("status_locale")
    val statusLocale: String,
    @JsonProperty("authenticate_data")
    val authenticateData: AuthVerifyCertificate
)
